Page MenuHomePhabricator

persistently addable/editable/removable statements on a Form via the UI (L)
Closed, ResolvedPublic

Description

We want to be able to say more about each Form of a Lexeme by making statements about each Form. They should be persistently editable now.

Acceptance criteria:

  • At least 1 statement is shown for each Form with qualifiers, references and ranks. (Relevant for the demo)
  • I can edit all parts of the statement and save it. The edit survives a reload.
  • All parts of the statement look and act like statements on items.
  • Dokumented learnings on how this implementation can be re-used for other API-Modules
  • Re-use an existing API-Module for realising this story

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterLet FormSet::add replace existing Form instead of failing
mediawiki/extensions/WikibaseLexeme : masterRename Lexeme::addForm to addNewForm
mediawiki/extensions/WikibaseLexeme : masterRename FormSet::add to set
mediawiki/extensions/WikibaseLexeme : masterEnable skipped SetClaimTest with Forms
mediawiki/extensions/Wikibase : masterWorkaround EditFilterMergedContent hook assuming sub-entities have a Content

Related Objects

StatusAssignedTask
OpenNone
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolvedthiemowmde
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
Resolvedthiemowmde
Resolvedthiemowmde
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedNone
ResolvedWMDE-leszek
ResolvedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
WMDE-leszek raised the priority of this task from Normal to High.Oct 16 2017, 8:21 AM
WMDE-leszek moved this task from Proposed to Backlog on the Wikidata-Former-Sprint-Board board.
Jonas updated the task description. (Show Details)Oct 24 2017, 12:16 PM
Franziska_Heine renamed this task from [Story] persistently editable statements on a Form to [Story] persistently editable statements on a Form (L).Oct 24 2017, 12:37 PM
Lydia_Pintscher renamed this task from [Story] persistently editable statements on a Form (L) to persistently editable statements on a Form (L).Oct 24 2017, 3:16 PM
Lydia_Pintscher renamed this task from persistently editable statements on a Form (L) to persistently editable statements on a Form via the UI (L).Oct 24 2017, 3:34 PM
Lydia_Pintscher renamed this task from persistently editable statements on a Form via the UI (L) to persistently addable/editable/removable statements on a Form via the UI (L).Oct 24 2017, 3:42 PM

Change 391057 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add test for wbsetclaim API on a Form and make it pass

https://gerrit.wikimedia.org/r/391057

Jonas renamed this task from persistently addable/editable/removable statements on a Form via the UI (L) to Make UI use wbsetclaim API for Form Statements.Nov 23 2017, 4:05 PM
Jonas claimed this task.
Jonas updated the task description. (Show Details)
Jonas moved this task from Backlog to In Progress on the Wikidata-Sprint-2017-11-22 board.
Jonas renamed this task from Make UI use wbsetclaim API for Form Statements to persistently addable/editable/removable statements on a Form via the UI (L).Nov 23 2017, 4:09 PM
Jonas removed Jonas as the assignee of this task.
Jonas updated the task description. (Show Details)
Jonas moved this task from In Progress to Backlog on the Wikidata-Sprint-2017-11-22 board.
Jonas added subscribers: Lydia_Pintscher, Jonas.

Change 394138 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Let FormSet::add replace existing Form instead of failing

https://gerrit.wikimedia.org/r/394138

Change 396401 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Enable skipped SetClaimTest with Forms

https://gerrit.wikimedia.org/r/396401

thiemowmde moved this task from Backlog to In Progress on the Wikidata-Sprint-2017-12-06 board.

Change 394136 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Rename Lexeme::addForm to addNewForm

https://gerrit.wikimedia.org/r/394136

Change 398838 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Rename FormSet::add to set

https://gerrit.wikimedia.org/r/398838

Change 399214 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Workaround EditFilterMergedContent hook assuming sub-entities have a Content

https://gerrit.wikimedia.org/r/399214

Change 399214 abandoned by Thiemo Kreuz (WMDE):
Workaround EditFilterMergedContent hook assuming sub-entities have a Content

Reason:
Superseded by I26f9b72.

https://gerrit.wikimedia.org/r/399214

Change 396401 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Enable skipped SetClaimTest with Forms

https://gerrit.wikimedia.org/r/396401

Change 398838 abandoned by Thiemo Kreuz (WMDE):
Rename FormSet::add to set

https://gerrit.wikimedia.org/r/398838

Change 394136 abandoned by Thiemo Kreuz (WMDE):
Rename Lexeme::addForm to addNewForm

https://gerrit.wikimedia.org/r/394136

Change 394138 abandoned by Thiemo Kreuz (WMDE):
Let FormSet::add replace existing Form instead of failing

https://gerrit.wikimedia.org/r/394138